astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Miscellaneous Input/Output (`astropy.io.misc`) »
- write_table_hdf5

# write_table_hdf5

`astropy.io.misc.hdf5.``write_table_hdf5`(table, output, path=None, compression=False, append=False, overwrite=False)

  Write a Table object to an HDF5 file

  This requires h5py to be installed.

  Parameters:

  output : str or `h5py.highlevel.File` or `h5py.highlevel.Group`

  > If a string, the filename to write the table to. If an h5py object, either the file or the group object to write the table to.

  compression : bool

  > Whether to compress the table inside the HDF5 file.

  path : str

  > The path to which to write the table inside the HDF5 file. This should be relative to the input file or group.

  append : bool

  > Whether to append the table to an existing HDF5 file.

  overwrite : bool

  > Whether to overwrite any existing file without warning.